#include	"amig.h"		/* Amiga function defines	*/
#include	"manx.h"		/* Manx C function defines	*/
#include	<stdio.h>		/* Unix file extensions		*/

char	*WBFileName ();

FILE	*CanOpen ();

OBJECT	*add_node ();
OBJECT	*copy_node ();
OBJECT	*CpyNode ();
OBJECT	*load_node ();
OBJECT	*LodNode ();
OBJECT	*PiqNode ();
OBJECT	*ReadObj ();
OBJECT	*ReadExt ();
OBJECT	*scopy_node ();
OBJECT	*ScpNode ();
OBJECT	*LoadFile ();

DATAPTR	NewData ();
DATAPTR	CopyData ();

CELLPTR	NewCell ();
CELLPTR	CopyCell ();

SCANPTR	SortEdgeList ();

TALE	*MatchTale ();

VECTOR	*doPhongs ();
VECTOR	*flatPhongs ();

long	DoInfo ();
long	EdgeNum ();
long	FctNum ();
long	WriteID ();
long	WriteInfo ();
long	WriteExt ();
long	WrtNode ();
long	write_node ();

UWORD	AddEdge ();

char	*extract ();
char	*get_dev ();
char	*get_string ();
char	*GetVersionStamp ();

STORY	*get_story ();
MOLD	*get_mold ();
ATTRIB	*get_attr ();
TRANS	*get_tran ();
float	*get_param ();
float	get_float ();

float	Angle ();
float	UDot ();
float	Normalize ();
float	HowFar ();
float	PathLength ();
float	Between ();
float	LShiftFP ();
float	RShiftFP ();
float	FPTrunc ();
float	GetDepth ();
float	MyAtan2 ();

void	ABCNode ();
void	AddFace ();
void	AddCllToList ();
void	AddEdgeToList ();
void	AddFctToList ();
void	AddObjToList ();
void	AddPntToList ();
void	AddPoint ();
void	AddToFreq ();
void	AddVertex ();
void	ApplyTale ();
void	apply_node ();
void	AppNode ();
void	average ();
void	axis ();
void	AxisNode ();
void	BldNode ();
void	BuildBuff ();
void	BuildMat ();
void	BuildTale ();
void	BuildUnMat ();
void	build_node ();
void	Busy ();
void	camera ();
void	CellInfo ();
void	CheckRGB ();
void	CheckRGBN ();
void	CheckStorage ();
void	CleanUp ();
void	ClearIt ();
void	clearper ();
void	ClipCamera ();
void	close_things ();
void	ClrNode ();
void	CntNode ();
void	Color_Node ();
void	color_node ();
void	Copy_Node ();
void	countdev ();
void	Counter ();
void	count_node ();
void	DeActivate ();
void	DeleteTimer ();
void	Delete_Edges ();
void	Delete_Faces ();
void	Delete_Node ();
void	Delete_Points ();
void	DelEdge ();
void	DelFacet ();
void	DelNode ();
void	DelPoint ();
void	DePick ();
void	DeRotVect ();
void	DeSelect ();
void	destroy_node ();
void	doAttribute ();
void	dobutton ();
void	doCamera ();
void	DoCustom ();
void	DoDelete ();
void	DoErase ();
void	dofmenu ();
void	doForm ();
void	DoJoin ();
void	doLevel ();
void	doMakeCells ();
void	domenu ();
void	doMold ();
void	domouse ();
void	dontScale ();
void	DoOver ();
void	DoPaste ();
void	dopraw ();
void	doraw ();
void	doRotate ();
void	doScale ();
void	DoSort ();
void	doTransform ();
void	Draw3D ();
void	DropAll ();
void	DropCell ();
void	DropData ();
void	DropFile ();
void	DropList ();
void	DropTale ();
void	drop_node ();
void	drop_volume ();
void	DstNode ();
void	DumpMovie ();
void	EndFrame ();
void	EndPosit ();
void	ExpFrame ();
void	Extrude_Node ();
void	FillSubVolumes ();
void	FindHome ();
void	FindLast ();
void	FindNext ();
void	FindView ();
void	FindWhom ();
void	flushrgb ();
void	FollowPath ();
void	FreeOct ();
void	FullView ();
void	GetDefKey ();
void	GetDefRGB ();
void	GetObjRGB ();
void	GetZoom ();
void	Group_Node ();
void	gr_Check ();
void	Hair ();
void	IFlush ();
void	Init3D ();
void	InitBuffer ();
void	InitFrames ();
void	initgadgets ();
void	InitList ();
void	InitPicked ();
void	initstore ();
void	InitUndo ();
void	InputCell ();
void	JoinEdge ();
void	JoinFacet ();
void	JoinPoint ();
void	Join_Node ();
void	Join_Points ();
void	killMir ();
void	kill_frame ();
void	KlsNode ();
void	Kluster_Node ();
void	kluste_node ();
void	light ();
void	linkgad ();
void	LoadBrush ();
void	*LoadCode ();
void	LoadData ();
void	LoadObj ();
void	LoadStencil ();
void	MakeCopy ();
void	MakeFilm ();
void	MakeMovie ();
void	MakeSubVolumes ();
void	MakeUndo ();
void	MakeUndoList ();
void	MemNode ();
void	mem_node ();
void	MergeCell ();
void	MMMult ();
void	move_node ();
void	Move_Node ();
void	MovNode ();
void	MVMult ();
void	MyFreeMem ();
void	my_putc ();
void	my_putl ();
void	my_putw ();
void	NewMenu ();
void	Nuul ();
void	ObjRename ();
void	OutputCell ();
void	Paint_Node ();
void	param ();
void	PickAll ();
void	PickCurr ();
void	pick_glb ();
void	pick_node ();
void	PikNode ();
void	PlayMovie ();
void	PolNode ();
void	polygons ();
void	poly_node ();
void	posinit ();
void	print_node ();
void	ProjXY ();
void	PrtNode ();
void	push_buff ();
void	putrgb ();
void	puttab ();
void	Put_Node ();
void	QRot ();
void	QuickDraw ();
void	readgad ();
void	rectangle ();
void	ReadConfig ();
void	Refresh ();
void	RemPick ();
void	RenumberFrames ();
void	RotateTale ();
void	Rotate_Node ();
void	RotNode ();
void	RotVect ();
void	rot_node ();
void	SaveCell ();
void	SaveData ();
void	SaveIFF ();
void	SaveObj ();
void	ScaleTale ();
void	scale_node ();
void	Scale_Node ();
void	SclNode ();
void	SeeNode ();
void	Select_Edge ();
void	Select_Facet ();
void	Select_Object ();
void	Select_Point ();
void	SetBrushMenu ();
void	SetColor ();
void	setdial ();
void	SetDS ();
void	SetEditColors ();
void	SetGlbMenu ();
void	SetLace ();
void	SetMainMenu ();
void	SetModMenu ();
void	SetNode ();
void	SetObjMenu ();
void	SetObjRGB ();
void	SetPath ();
void	setprop ();
void	SetRGB8 ();
void	SetStencilMenu ();
void	SetStory ();
void	SetSubParent ();
void	setup_node ();
void	setval ();
void	showdeg ();
void	ShowDisk ();
void	showedge ();
void	showfct ();
void	ShowFilm ();
void	showfrac ();
void	ShowMem ();
void	ShowMode ();
void	ShowObject ();
void	showper ();
void	showpos ();
void	showrat ();
void	ShowRate ();
void	showval ();
void	show_node ();
void	Show_Node ();
void	ShutScreen ();
void	Size_Node ();
void	smooth_node ();
void	SmtNode ();
void	Sort_Edges ();
void	Sort_Facets ();
void	Sort_Node ();
void	Sort_Points ();
void	sphere ();
void	Spin_Node ();
void	Story_Node ();
void	strip ();
void	SubMenu ();
void	TargetCells ();
void	tell_node ();
void	TllNode ();
void	TrackCamera ();
void	track_camera ();
void	Translate_Node ();
void	Transpose ();
void	TrimPick ();
void	UnGroup_Node ();
void	UnPick ();
void	UnSetLace ();
void	unsmooth_node ();
void	UnSmtNode ();
void	volname ();
void	wireframe ();
void	Write_Node ();
void	XScale ();
void	XYZNode ();
void	YScale ();
